Main Page Modules Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# DWorldView.cpp File Reference

`#include <cstdio>`
`#include <cmath>`
`#include <crtdbg.h>`
`#include <windows.h>`
`#include <ZMouse.h>`
`#include "Destiny3D.hpp"`
`#include "deBitmap.hpp"`
`#include "deBrush.hpp"`
`#include "deRender.hpp"`
`#include "deDriver.hpp"`
`#include "deWorld.hpp"`
`#include "deCamera.hpp"`
`#include "deResource.hpp"`
`#include "deConsole.hpp"`
`#include "de2D.hpp"`
`#include "deFont.hpp"`
`#include "deScene.hpp"`
`#include "deProfile.hpp"`
`#include "ResPicker.hpp"`

Include dependency graph for DWorldView.cpp:

## Defines
#define | DRIVER_NAME ("Direct3D9")
#define | ONE_CAM (1)
#define | TEST_WORLD_LOAD (1)
#define | WINDOW_WIDTH (800)
#define | WINDOW_HEIGHT (600)
#define | VIEW_WIDTH (800)
#define | VIEW_HEIGHT (600)
#define | VIEW_FOV (75)
#define | VIEW_FULLSCREEN (0)
#define | VIEW_ADAPTER (0)
#define | VIEW_ASPECT (4.0/3.0)
#define | FRAMESCOUNTED (50)
#define | FOGCOLOR (0x00000000)
#define | TEST_ABT (0)
#define | SHOW_AABB (1)
#define | USE_FLASHLIGHT (1)
## Functions
void | CheckMouse ()
LRESULT CALLBACK | WndProc (HWND hwnd, UINT message, WPARAM wParam, LPARAM lParam)
HWND | CreateNewWindow (HINSTANCE hInstance)
void | MoveNewWindow (HWND hWnd, int x, int y)
bool | InitEngine ()
bool | InitDisplay (HINSTANCE hInstance)
bool | InitData ()
bool | StartDisplay ()
int WINAPI | WinMain (HINSTANCE hInstance, HINSTANCE hprev, PSTR cmdline, int ishow)
## Variables
const double | piover180 = 0.0174532925
HWND | WindowHandle
int | FillVal
int | CullVal
IdeDriver::deDisplay | m_Display
deVec3d | m_vPosition
deVec3d | m_vForward
deVec3d | m_vLeft
float | m_fRotation
BOOL | m_bMouseMove
int | m_Wireframe
POINT | m_ptMouse
POINT | m_ptOffset
POINT | m_ptDelta
POINT | m_StartMove
deVec3d | m_CamRotation = {0,0,0}
deFloat | m_SpeedMultiplier = 1
IdeCamera * | m_Cam
IdeCamera * | m_Cam2
IdeWorldManager * | m_pWorldManager
deWorldID | m_WorldID
IdeRender * | m_pRender
IdeSceneGraph * | pSG
bool | m_bReset = false
bool | m_bLostFocus = false
Ide2DCollection * | _2D = NULL
IdeDriver * | m_pDriver
IdeFont * | Font = NULL
IdeSceneLight * | pLight = NULL
double | TotalTime = 0
double | FramesTime = 0
double | FrameTime = 0
unsigned int | TotalFrames = 0
IdeRender::deRenderStats | RenderStats

## Define Documentation

#define DRIVER_NAME ("Direct3D9")

#define FOGCOLOR (0x00000000)

#define FRAMESCOUNTED (50)

#define ONE_CAM (1)

#define SHOW_AABB (1)

#define TEST_ABT (0)

#define TEST_WORLD_LOAD (1)

#define USE_FLASHLIGHT (1)

#define VIEW_ADAPTER (0)

#define VIEW_ASPECT (4.0/3.0)

#define VIEW_FOV (75)

#define VIEW_FULLSCREEN (0)

#define VIEW_HEIGHT (600)

#define VIEW_WIDTH (800)

#define WINDOW_HEIGHT (600)

#define WINDOW_WIDTH (800)

## Function Documentation

void CheckMouse | ( |  | ) |

HWND CreateNewWindow | ( | HINSTANCE | hInstance | ) |

bool InitData | ( |  | ) |

bool InitDisplay | ( | HINSTANCE | hInstance | ) |

bool InitEngine | ( |  | ) |

void MoveNewWindow | ( | HWND | hWnd,
|  | int | x,
|  | int | y
| ) |

bool StartDisplay | ( |  | ) |

int WINAPI WinMain | ( | HINSTANCE | hInstance,
|  | HINSTANCE | hprev,
|  | PSTR | cmdline,
|  | int | ishow
| ) |

LRESULT CALLBACK WndProc | ( | HWND | hwnd,
|  | UINT | message,
|  | WPARAM | wParam,
|  | LPARAM | lParam
| ) |

## Variable Documentation

Ide2DCollection* _2D = NULL

int CullVal

int FillVal

IdeFont* Font = NULL

double FramesTime = 0

double FrameTime = 0

bool m_bLostFocus = false

BOOL m_bMouseMove

bool m_bReset = false

IdeCamera* m_Cam

IdeCamera * m_Cam2

deVec3d m_CamRotation = {0,0,0}

IdeDriver::deDisplay m_Display

float m_fRotation

IdeDriver* m_pDriver

IdeRender* m_pRender

POINT m_ptDelta

POINT m_ptMouse

POINT m_ptOffset

IdeWorldManager* m_pWorldManager

deFloat m_SpeedMultiplier = 1

POINT m_StartMove

deVec3d m_vForward

deVec3d m_vLeft

deVec3d m_vPosition

int m_Wireframe

deWorldID m_WorldID

const double piover180 = 0.0174532925

IdeSceneLight* pLight = NULL

IdeSceneGraph* pSG

IdeRender::deRenderStats RenderStats

unsigned int TotalFrames = 0

double TotalTime = 0

HWND WindowHandle